Mirror on x/y

Hello, I cannot understand logic of the tool… Why so? :frowning_face:


2

It mirrors with the “x-axis” as the mirror line, I do get the confusion though.
Edit: Never mind I just see your arrow pointing to the y, sorry. Maybe that’s because there’s no Z-axis option?

Axes in Mirror are CPlane, not World axes…
Use

! _Mirror _Pause 3Point 0,0,0 1,0,0 0,1,0

to mirror on the actual CPlane and not a plane vertical to the current cplane.

Just for the heck of it, here’s a python that mirrors objects through a plane parallel to the CPlane (i.e. vertically)

import Rhino
import rhinoscriptsyntax as rs


def MirrorVertical():
    
    ids = rs.GetObjects("Select objects to mirror.", preselect=True)
    if not ids: return
    
    pt = rs.GetPoint("Set mirror plane elevation point. Type 0 and Enter to use the current CPlane.")
    if not pt: return
    
    plane = rs.ViewCPlane()
    plane.Origin = pt
    xform = rs.XformMirror(pt, plane.ZAxis)
    rs.TransformObjects(ids, xform, True)
    

if __name__ == "__main__":
    
        MirrorVertical()

-Pascal

Hi Pascal, for me is excess vanity, it is simpler to remember it:


2018-01-05_153104
Here still:
https://screenshots.firefoxusercontent.com/images/a9c83836-afe6-40bc-9ce5-fb5463c204df.png